Application: gvSIG desktop - gvSIG bugs #5298
Cuando se afade un campo de tipo Date no reconoce el formato de fecha escrito
06/05/2020 01:41 PM - Mario Carrera

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee:

Category: Document table

Target version: 2.5.1-3025 (no-usable)

Severity: Minor Add-on version:

gvSIG version: 2.51 Add-on build:

gvSIG build: 3023 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:

Has patch: Hito:

Add-on name: Unknown

Description

Si anadimos un campo de tipo fecha (hasta el build 3023 se debe entrar en el boton de la derecha del desplegable para
seleccionarlo, que no esta disponible en el desplegable) y queremos rellenarlo con una fecha no reconoce el formato.

Probado con varios formatos (como aaaa-mm-dd y dd/mm/aaaa). Siempre rellena con el valor 1970-01-01

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 5297: Aiadir el tipo "Da... Won't fix 06/05/2020
Related to Application: gvSIG desktop - gvSIG bugs # 3329: Error campos de ti... Won't fix 04/09/2015

Associated revisions

Revision 45072 - 06/16/2020 10:52 AM - Oscar Martinez

refs #5298 Caja de texto para el valor por defecto

History

#1 - 06/07/2020 10:59 AM - Alvaro Anguix
- Related to gvSIG bugs #5297: Afadir el tipo "Date" en el desplegable de tipos de campo al afiadir un campo added

#2 - 06/08/2020 09:54 AM - Joaquin del Cerro Murciano
- Target version changed from 2.5.1-3044 to 2.5.1-3025 (no-usable)

#3 - 06/08/2020 10:03 AM - Alvaro Anguix
- Related to gvSIG bugs #3329: Error campos de tipo fecha (date) added

#4 - 06/12/2020 02:06 AM - Oscar Martinez
La caja de texto del campo por defecto se evalua como si fuera una expresion.
Si se introduce con comillas, funciona correctamente el valor por defecto: '1978-01-01 02:30:00.0'

En cambio, si vuelves a entrar en edicion de ese campo, lo coloca sin ellas en la caja de texto, y al cerrar edicion, pierdes el valor de ese campo ya

que no reconoce esa fecha sin las comillas.

Hay que mirar las posibles soluciones.
#5 - 06/16/2020 09:46 AM - Oscar Martinez
- Status changed from New to Fixed

#6 - 06/19/2020 09:14 AM - Alvaro Anguix
- Status changed from Fixed to Closed
